Bug Hunting Session
Bug 107967 - System path on Unix starting with double-slashes converted to single slash
Summary: System path on Unix starting with double-slashes converted to single slash
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-20 07:39 UTC by Chris Sherlock
Modified: 2018-10-13 03:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Sherlock 2017-05-20 07:39:04 UTC
It appears that in the OSL code that we do some sanity checking for Unix system paths and convert double slashes (//) to single slash. However, if a system path starts with a double-slash then starting with double-slashes we are still converting this to a single slash.

That's unfortunately not valid. POSIX states the following:

"If a pathname begins with two successive <slash> characters, the first component following the leading <slash> characters may be interpreted in an implementation-defined manner, although more than two leading <slash> characters shall be treated as a single <slash> character."

http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/V1_chap04.html#tag_04_13

In other words, the following path...

//path/to/file.txt

it becomes:

//path/to/file.txt

However, the following path...

///path/to/file.txt

this becomes:

/path/to/file.txt
Comment 1 Chris Sherlock 2017-05-20 08:13:54 UTC
It appears that the code comments are the issue here, they talk about double-slashes but actually, the code correctly checks for multiple slashes and changes to a single slash. 

I've now added a unit test to check for this.
Comment 2 Chris Sherlock 2017-05-20 08:14:55 UTC
Argh - wrong bug closed. Sorry, this is still an issue!
Comment 3 Xisco Faulí 2017-06-26 18:06:54 UTC
Moving to NEW
Comment 4 Xisco Faulí 2017-10-12 08:08:36 UTC
Dear Chris Sherlock,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 5 QA Administrators 2018-10-13 03:14:41 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug